Subject: bug#946: 23.0.60; html-mode regression ('' within a table)

From: Stefan Monnier <[email-masked]>
Date: Thu, 18 Sep 2008 21:35:41 -0400

>> You're confusing sgml-mode-syntax-table and sgml-tag-syntax-table.
>> The latter is only used internally, not during normal editing.
> Yes, but both inherit from `text-mode-syntax-table' IIUC.

That's OK: sgml-tag-syntax-table is designed only to parse the inside of
html tags.  That's the only thing it should do, but it should do
it well.  So ' should definitely not have prefix syntax in it.
The inheritance relationship doesn't really matter.

> Anyway, this and the `sgml-specials' stuff is too contrived for me so
> I better leave this to you ;-)

That's fine, except I'm overwhelmed with other work these days and can't
get much Emacs work done.

        Stefan